Subject: gnome-shell: Long delay before power down happens

From: "Alan Chandler" <[email-masked]>
Date: Fri, 21 Jun 2013 07:03:22 +0100

Package: gnome-shell
Version: 3.4.2-9
Severity: normal

Dear Maintainer,

When I attempt to shutdown the computer from within gnome there is a long delay before anything happens.

The same appears to be true for restart and suspend options too.

I select "Power Off" from the menu under my name and almost immediately a dialog box is displayed which
asks if I wish to Shutdown, Restart or Cancel.  WHen I select one, the screen slightly greys out and I can no longer 
do anything, but nothing else happens for about a minute - it is as though something finally times out.

Then the shutdown sequence starts.

During shutdown there is another delay just after the console reports all tasks been asked to terminate and 
when it does proceeed the system doesn't power off, but restarts (I don't think this is related but an independant problem)

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.9-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-shell depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.16.0-4
ii  gconf-service                                3.2.6-1
ii  gir1.2-accountsservice-1.0                   0.6.30-2
ii  gir1.2-caribou-1.0                           0.4.4-1
ii  gir1.2-clutter-1.0                           1.10.8-2
ii  gir1.2-folks-0.6                             0.6.9-1+b1
ii  gir1.2-freedesktop                           1.36.0-2+b1
ii  gir1.2-gconf-2.0                             3.2.6-1
ii  gir1.2-gcr-3                                 3.8.2-3
ii  gir1.2-gkbd-3.0                              3.4.0.2-1
ii  gir1.2-glib-2.0                              1.36.0-2+b1
ii  gir1.2-gmenu-3.0                             3.8.0-2
ii  gir1.2-gnomebluetooth-1.0                    3.8.1-1
ii  gir1.2-gtk-3.0                               3.8.2-2
ii  gir1.2-mutter-3.0                            3.4.1-7
ii  gir1.2-networkmanager-1.0                    0.9.8.0-5
ii  gir1.2-pango-1.0                             1.32.5-5+b1
ii  gir1.2-polkit-1.0                            0.105-3
ii  gir1.2-soup-2.4                              2.42.2-6
ii  gir1.2-telepathyglib-0.12                    0.20.3-1
ii  gir1.2-telepathylogger-0.2                   0.4.0-1
ii  gir1.2-upowerglib-1.0                        0.9.20-2
ii  gjs                                          1.32.0-5+b1
ii  gnome-bluetooth                              3.8.1-1
ii  gnome-icon-theme-symbolic                    3.8.2.2-2
ii  gnome-settings-daemon                        3.4.2+git20121218.7c1322-6
ii  gnome-shell-common                           3.4.2-9
ii  gnome-themes-standard                        3.8.1-2
ii  gsettings-desktop-schemas                    3.4.2-3
ii  libatk1.0-0                                  2.8.0-2
ii  libc6                                        2.17-5
ii  libcairo-gobject2                            1.12.14-5
ii  libcairo2                                    1.12.14-5
ii  libcanberra0                                 0.30-2
ii  libclutter-1.0-0                             1.10.8-2
ii  libcogl-pango0                               1.10.2-7
ii  libcogl9                                     1.10.2-7
ii  libcroco3                                    0.6.8-2
ii  libdbus-1-3                                  1.6.12-1
ii  libdbus-glib-1-2                             0.100.2-1
ii  libebook-1.2-13                              3.4.4-3
ii  libecal-1.2-11                               3.4.4-3
ii  libedataserver-1.2-16                        3.4.4-3
ii  libedataserverui-3.0-1                       3.4.4-3
ii  libfolks25                                   0.6.9-1+b1
ii  libgck-1-0                                   3.8.2-3
ii  libgconf-2-4                                 3.2.6-1
ii  libgcr-base-3-1                              3.8.2-3
ii  libgcr-ui-3-1                                3.8.2-3
ii  libgdk-pixbuf2.0-0                           2.28.2-1
ii  libgee2                                      0.6.8-1
ii  libgirepository-1.0-1                        1.36.0-2+b1
ii  libgjs0b [libgjs0-libmozjs185-1.0]           1.32.0-5+b1
ii  libgl1-mesa-glx [libgl1]                     9.1.3-6
ii  libglib2.0-0                                 2.36.3-2
ii  libgnome-keyring0                            3.8.0-2
ii  libgnome-menu-3-0                            3.8.0-2
ii  libgstreamer0.10-0                           0.10.36-1.2
ii  libgtk-3-0                                   3.8.2-2
ii  libical0                                     0.48-2
ii  libjson-glib-1.0-0                           0.14.2-1
ii  libmozjs185-1.0                              1.8.5-1.0.0+dfsg-4+b1
ii  libmutter0                                   3.4.1-7
ii  libnm-glib4                                  0.9.8.0-5
ii  libnm-util2                                  0.9.8.0-5
ii  libnspr4                                     2:4.10-1
ii  libnspr4-0d                                  2:4.10-1
ii  libp11-kit0                                  0.18.3-2
ii  libpango-1.0-0                               1.32.5-5+b1
ii  libpangocairo-1.0-0                          1.32.5-5+b1
ii  libpolkit-agent-1-0                          0.105-3
ii  libpolkit-gobject-1-0                        0.105-3
ii  libpulse-mainloop-glib0                      4.0-3
ii  libpulse0                                    4.0-3
ii  libsoup2.4-1                                 2.42.2-6
ii  libstartup-notification0                     0.12-3
ii  libtelepathy-glib0                           0.20.3-1
ii  libtelepathy-logger2                         0.4.0-1
ii  libx11-6                                     2:1.6.0-1
ii  libxcomposite1                               1:0.4.4-1
ii  libxdamage1                                  1:1.1.3-2
ii  libxext6                                     2:1.3.1-2+deb7u1
ii  libxfixes3                                   1:5.0-4+deb7u1
ii  libxi6                                       2:1.6.1-1+deb7u1
ii  libxml2                                      2.9.1+dfsg1-2
ii  python                                       2.7.5-2
ii  telepathy-mission-control-5                  1:5.14.1-2

Versions of packages gnome-shell recommends:
ii  gkbd-capplet            3.4.0.2-1
ii  gnome-contacts          3.4.1-2
ii  gnome-control-center    1:3.4.3.1-5
ii  gnome-session-fallback  3.4.2.1-4
ii  gnome-user-guide        3.8.2-1
ii  unzip                   6.0-9

gnome-shell suggests no packages.

-- no debconf information